Bug 205547 - Improve scim-restart
Summary: Improve scim-restart
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: 210450
TreeView+ depends on / blocked
 
Reported: 2006-09-07 04:34 UTC by Leon Ho
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: scim-1.4.4-37.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-16 14:29:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leon Ho 2006-09-07 04:34:22 UTC
Description of problem:
Restarting desktop to get SCIM changes is a hassle, when user only want to get
the new input method immediately. Would be better to get it "programatically"
works, or at least document an easy way for users.

Comment 1 Jens Petersen 2006-10-18 07:43:03 UTC
I realised that scim-restart does not affect scim-bridge.
Adding "killall scim-bridge" to it should help for the time being.

Comment 2 Jens Petersen 2006-11-03 08:49:12 UTC
adding fix first to rawhide in next build

Comment 3 Jens Petersen 2006-12-11 04:11:47 UTC
Fix to restart xim also going into 1.4.4-36.fc6.

Comment 4 Ramakrishna Reddy Yekulla 2007-01-16 14:29:23 UTC
Version Tested against
scim-1.4.4-37.fc6

Steps to reproduce
1. gnome-terminal
2. scim-setup
3. Enable any new Keymap from a Global Setup and Apply Eg. Kannada , check the box
4. scim-restart
5. Activate SCIM [Ctrl + Space]
6. the New keymap selected should refect in the dropdown menu

Observations ::
The new keymaps reflect in the scim dropdown menu for this version hence
resolving this bug.


Note You need to log in before you can comment on or make changes to this bug.